Introducing Windows Media Player

Microsoft Windows Media Player is now a center for playing and organizing multimedia on your computer and on the Internet. Use it to:

  • Play and copy music CDs.

  • Create and organize a library of music and video files.

  • Create and listen to playlists of your favorite songs.

  • Find and play streaming media from the Web.

  • Download music to a portable device.

Related topics

  • Getting started
© 2000 Microsoft Corporation. All rights reserved.


Understanding streaming media

Streaming media is a technology for delivering audio, video, or multimedia files across a network without waiting for the entire file to download. When you click on an Internet link to open a streaming media file, a small amount of the file is downloaded and stored in a buffer. This is called buffering. The file then begins to play. As more information in the file is streamed to the player, the player continues to buffer information before playing it. The player does this so that if traffic on the Internet interrupts the flow of information, there will be no breaks or interference with the file as it plays. If the data in the buffer runs out, only then will you notice a break as the file plays.

You may also notice that the player alerts you that it is buffering information. All streaming Windows Media files buffer before they begin playing. Unlike downloading a file, streaming files do not leave data on the hard drive when they are done playing.

Windows Media Player also supports intelligent streaming, which monitors network conditions and automatically makes adjustments to ensure the best reception and playback.


Understanding intelligent streaming

Traffic on the Internet is highly unpredictable, and this can make for varied experiences when you must rely on the Internet for delivery of media. To create a consistent experience when receiving streaming media, Windows Media provides intelligent streaming.

Intelligent streaming is a way of creating a stream so that when it is streaming, the file detects network conditions and adjusts the properties of the stream to maximize quality. This means that the highest-quality stream is delivered to you, regardless of network conditions. Intelligent streaming depends on media being encoded at multiple bit rates. This gives Windows Media Player a variety of video streams to switch to when available network bandwidth fluctuates.


Understanding licensed files

Licensed files are Windows Media files that have been secured from random distribution by attaching a license that is required to play the file. Content providers such as recording companies may choose to secure their files so that they are less likely to be pirated. If you use Windows Media Player to copy tracks from a CD, the copies of those tracks have associated licenses. Windows Media Player cannot play licensed files without a valid license. The license is used to secure the file to the computer where the file was downloaded or created. You do not have to worry about the location of your licenses, Windows Media Player tracks this for you. When dealing with licensed files, you should know that:

  • You can play licensed files until the license expires. You will be informed during license acquisition of the terms of the license.

  • There are two ways you acquire a license for a file. If you are downloading a licensed file from the Internet, after you download the file you are directed to a site where you register for the license (in some cases a fee may be required). The license is then downloaded to your computer and it applies only to the file you downloaded. License rights and license acquisition scenarios are entirely dependent upon the person or company that provided the file. If you are using Windows Media Player to copy a file from a CD, when you copy a track, a license is automatically issued for that file.

  • If you copy a licensed file to another computer or give a copy of the file to another person, registration must occur on that computer as well. You cannot copy and share licenses among different computers.

  • Use the Portable Device feature to copy licensed files and associated licenses to your portable device. However, the rights included in the license must allow for transfer to a portable device.

Related topics

  • Portable Device tab


Supported media formats

You can play the following types of media files with Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .mp2v, .m3u, .pls
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd


Auto-upgrading Windows Media Player

When you install Windows Media Player, an upgrade feature is also installed. The upgrade feature periodically asks you if you would like to check for upgrades. To minimize the download time, only the pieces of the player that need to be updated are available for upgrade. If you would like to completely reinstall Windows Media Player, you can use the auto-upgrade mechanism.

Auto-upgrade is set by default to check for upgrades once a week. To adjust this time interval, on the Tools menu, click Options, and then use the Advanced tab to change the setting. You can check for an upgrade whenever you like by double-clicking the Windows Media icon in the Windows tray.


Getting started

What do you want to do?

  • Copy music to my portable device

  • Create a playlist or organize the music and video files on my computer

  • Discover how to customize Now Playing

  • Find music, video, and radio stations on the Web

  • Play or record a music CD

  • Try out different skins


Setting preferences

Use the Options Properties dialog box to set up your preferences, like where to store music files on your computer and what file formats Windows Media Player should play when you open a file.

  • To set preferences, on the Tools menu, click Options. In Compact mode, right-click on the player and click Options.

Related topics

  • Playback tab

  • Network tab

  • Portable options tab

  • Music tab

  • Performance tab


Library Access tab

Use the Library Access tab to set rights for installed applications and Web sites to access the Media Library files. There are three types of rights: none, read-only, and full.


Advanced tab

The Advanced tab exposes:

  • What happens when you delete files from Media Library.

  • How often you want Windows Media Player to automatically check for upgrades.

  • The directory where music and its associated license are stored on your computer.

  • Whether you want to log warnings about skin files.


Playback tab

Playback

Select this | To do this
Play ___ time(s) | Specify how many times the media file should play.
Repeat forever | Specify that playback should repeat an unlimited number of times.
Random play order | Specify that play order should be random.

Player

Select this | To do this
Always on top | Specify whether Windows Media Player is displayed in front of other windows regardless of the program you are working in.
Zoom | Specify the size of the video area of the player. The default setting is 100%, which is the original size of the clip. When you change the Zoom setting, the video window is resized.

Audio

Select this | To do this
Balance | Adjust the balance between the left and right speakers.
Volume | Adjust the playback volume. Drag the slider to the right to raise the volume and to the left to lower the volume.


Network tab

Protocol

Select this | To do this
Multicast |
UDP
Use port
TCP
HTTP
Use port ___ to receive data.

Proxy Settings

© 2000 Microsoft Corporation. All rights reserved.


Portable Device tab

Settings

Select this | To do this
Let Windows Media Player decide (recommended) |
Select quality level


Music tab

My Music folder

Select this | To do this
Change | Select the default folder for your music files.

CD Playback

Select this | To do this
Drive |
Digital playback
Error correction

CD Recording

Select this | To do this
Drive |
Digital recording
Error correction
DRM
Quality (bits/second)


Performance tab

Performance

Select this | To do this
Direct draw support | Specify the degree of hardware acceleration you want for your video card. Full acceleration is the fastest and it is recommended for most file types. If the file you’re playing is having problems and you suspect your video card is the cause, use the highest setting at which you do not have problems.
Allow mode switch in full screen |


Formats tab

Available Formats

Select this | To do this
Windows Media file | Specify that Windows Media files with .asf and .asx file extensions play in Windows Media Player.
Windows Media audio file | Specify that Windows Media files with .wma and .wax file extensions play in Windows Media Player.
Windows Media audio/video file |
Video file | Specify that files with the .avi file extension play in Windows Media Player.
Audio file | Specify that files with the .wav file extension play in Windows Media Player.
Movie File (MPEG) | Specify that files with .mpeg, .mpg, .mpe, .m1v, .mp2, .mpv2, .mp2v, and .mpa file extensions play in Windows Media Player.
MP3 Format Sound | Specify that files with .mp3, .m3u, and .pls file extensions play in Windows Media Player.
MIDI file | Specify that files with .mid, .midi, and .rmi file extensions play in Windows Media Player.
AIFF Format Sound | Specify that files with .aif, .aifc, and .aiff file extensions play in Windows Media Player.
AU Format Sound | Specify that files with .au and .snd file extensions play in Windows Media Player.
CD Audio Track | Specify that files with the .cda file extension play in Windows Media Player.
Select All | Select all the formats in the Available formats list.

Note Windows Media Player will play files only in the formats you select. If a selected check box appears gray, Windows Media Player has only partial ownership of the file type; this means that multiple file extensions are assigned to that format, but Windows Media Player only plays some of those extensions by default. To give Windows Media Player full ownership of a file type, double-click the gray check box.

Related topics

  • Supported media formats


Recording and playing audio compact disks

Use Microsoft Windows Media Player to play and record audio compact disks.

Related topics

  • Copying audio compact disks

  • Playing audio compact disks


Copying audio compact disks

To copy an audio compact disk, select the check box next to each track you want to record, and then click Copy Music.

Related topics

  • Music options tab


Playing audio compact disks

To play an audio compact disk, put the compact disk into the CD ROM drive. Playback begins automatically.

Related topics

  • Music options tab


Organizing your media collection

Windows Media Player can organize all the media on your computer and on the Internet that you have access to. Before Windows Media Player, you had to know where files were on your computer so that you could play them. To play files on the Internet, you had to go to a Web site and click on the links provided. Now Windows Media Player provides Media Library which you can use to save links to files on your computer or sites on the Internet. You can even create a playlist, which is a list of links to the various files on your computer, your network, or the Internet. Whenever you hear audio that you think you might want to play again, save it to your library. If the file is on the Internet, Media Library saves the link to that file. If the audio was a song on a CD you were listening to, copy that CD track and add it to your Media Library. Use Media Library to create playlists and search for music and video on your computer. Media Library separates your stored media into audio and video. Within the audio category, there are subcategories such as Album title, Artist name, and Genre. For video there is one subcategory – the author.

Related topics

  • Creating a playlist

  • Searching your computer for music and video


Creating a playlist

You can add any file or link to a file that is part of Media Library. If a file or link to a file is not part of Media Library, then you will not be able to add it to a playlist. To create a playlist:

  • Click Create Playlist, and then enter a name for the playlist. Once you see the name of the playlist in the list window, you are ready to add files to the playlist.

Related topics

  • Searching your computer for music and video


Adding files to a playlist

You can add any files to a playlist provided they are listed in Media Library. If the file that you want to add to a playlist is not in Media Library, you must add it to Media Library before you can add it to a playlist. To add a file to a playlist:

  1. Click Media Library. The player will display a list window and a contents window. The list window will show you the complete list of audio and video files that you have saved to Media Library.

  2. If you have not created a playlist, then click New playlist, otherwise select the media that you want to add to the playlist and click Add to playlist. A drop down menu appears listing the available playlists.

  3. Click the playlist you want to add the file to. If the playlist name does not appear, from the drop down menu, click Playlists and then click the name of the playlist you want.

  4. Add as many files to a playlist as you want.


Searching your computer for music and video

To search your computer for music and video:

From the Tools menu, click Search Computer for Media.

In Search Options, select where to search for media on your computer, and then click Start Search.

Related topics

  • Creating a playlist


Customizing Windows Media Player

There are many ways you can customize Microsoft Windows Media Player. Some of the things you can do include:

  • Switching between Full Mode and Compact Mode. Full Mode is how the player looks when you first install it. Compact Mode is what you switch to when you want to shrink the size of the player and use other computer applications. When you switch into compact mode, the player takes on the appearance of the selected skin.

  • Applying a skin so that when the player is in compact mode it has a very personalized look. Windows Media Player comes with several skins, and you can download additional skins from the Internet.

  • Choosing a visualization to accompany the music you are playing or the skin you are using.

  • Identifying the controls for the audio and video settings. You can choose between a graphic equalizer, captions, information about the media you’re listening to, or video setting controls.

  • Setting the player to open up to an often-used feature such as CD Audio, the Radio Tuner feature, or the Media Guide.

Related topics

  • Setting up Now Playing

  • Working with skins

  • Working with views


Setting up Now Playing

The Now Playing feature is for creating your own experience while you are listening to audio. Now Playing displays windows for visualizations, custom controls, and one for playlists. Now Playing is the only feature that displays visualizations and custom controls.

Related topics

  • Working with Now Playing Tools

  • Working with the playlist area

  • Working with visualizations


Working with Now Playing Tools

By default, when you select the Now Playing feature, the player displays the Visualization window, Media Information, and the current playlist. To adjust your settings:

  • Use the buttons in the bottom of each window to cycle through the options.

or

  • From the View menu, point to Now Playing Tools, and in the Show Equalizer and Settings select the setting you want – Graphic Equalizer, Video Settings, Media Information, or Captions.

Related topics

  • Working with Graphic Equalizer Settings

  • Working with Video Settings

  • Displaying Media Information

Working with Graphic Equalizer Settings

Use Graphic Equalizer Settings to adjust the balance and equalizer for audio. The Graphic Equalizer window has an On/Off button and several equalizer presets. Typically when the Graphic Equalizer window opens, the equalizer will be set to the Default setting which means all levels will be equal. If you click the button next to Default, you can switch between the equalizer presets. The Custom preset allows you to adjust the equalizer to where you like it, and then click the preset button again to save your settings. When you come back to the Custom preset, the levels will be set as you saved them.

Related topics

  • Working with Video Settings

  • Displaying Media Information

Working with Video Settings

Use Video Settings to adjust brightness, contrast, hue, and saturation for video.

Related topics

  • Working with Graphic Equalizer Settings

  • Displaying Media Information

Displaying Media Information

Use Media Information to get information from the Internet about the media you are playing.

Note You must be connected to the Internet to use Media Information.

Related topics

  • Working with Graphic Equalizer Settings

  • Working with Video Settings


Working with the playlist area

To add to or adjust your playlists, from the View menu, point to Now Playing Tools, and then click Show Playlist. Use the playlist window to select the order in which media plays.

To hide the playlist area, from the View menu, point to Now Playing Tools, and uncheck Show Playlist.


Working with visualizations

Visualizations are splashes of color and geometric shapes that change with the beat of the audio that is currently playing. When Windows Media Player is in Full Mode, visualizations appear when the Now Playing feature is active. If the player is in Compact Mode, visualizations will appear if the skin supports it.

Related topics

  • Switching visualizations

  • Downloading visualizations

  • Adding or removing visualizations

  • Visualization properties

Switching visualizations

Use the arrows below the visualization window to cycle through the available visualizations.

Related topics

  • Downloading visualizations

  • Adding or removing visualizations

  • Visualization properties

Downloading visualizations

Not implemented.

Related topics

  • Switching visualizations

  • Adding or removing visualizations

  • Visualization properties

Adding or removing visualizations

Not implemented.

Related topics

  • Switching visualizations

  • Downloading visualizations

  • Visualization properties

Visualization properties

Not implemented

Related topics

  • Switching visualizations

  • Downloading visualizations

  • Adding or removing visualizations


Working with skins

A skin is a file that instructs Windows Media Player to look and act a specific way. You can create a skin to do practically anything that Windows Media Player is capable of. A skin can make the player look a certain way, play certain audio files, or show a specific visualization, or a variety of other things. Skins are a fun way to change the look and feel of Microsoft Windows Media Player. Windows Media Player comes with several skins, but you can also download them from the Internet. When you apply a skin, that skin appears whenever you change from Full Mode into Compact Mode. Compact Mode is the only mode where you can see the player using a skin. Skins will change the look of the player and depending on the skin, how the player works. You can change skins as often as you like, but to change the skins you must be in Full Mode. Some skins will allow you to view visualizations.

To work with skins, click Skin Chooser.

The list of available skins appear in the list window. A picture of the selected skin appears in the content window.

Additional skins are available on the Internet.

Note The skin you apply may not have all of the functionality that Windows Media Player supports; skin functionality is completely dependent upon the creator .

Related topics

  • Deleting skins

  • Applying skins

  • Downloading skins from the Internet


Deleting skins

To delete a skin, in Full Mode, click Skin Chooser and from the list of skins select the skin you want to delete, and then click Delete Skin.

Related topics

  • Applying skins

  • Downloading skins from the Internet


Applying skins

To apply a skin, in Full Mode, click Skin Chooser and from the list of skins select the skin you want to apply, and then click Apply Skin.

Related topics

  • Deleting skins

  • Downloading skins from the Internet


Downloading skins from the Internet

To download skins

  1. In Full Mode, click Skin Chooser.

  2. In the list of skins window, click More Skins. Your browser opens to the Windows Media site where you can download additional skins.

  3. In your browser, click the link of the skin you want to download. The skin downloads and is added to the list of skins.

  4. Click Apply Skin to apply the skin.

Note The skin you apply may not have all of the functionality that Windows Media Player supports; skin functionality is completely dependent upon the creator.

Related topics

  • Deleting skins

  • Applying skins


Understanding Full Mode vs Compact Mode

Windows Media Player has two modes: Full Mode and Compact Mode. Full Mode is the non-customized view of the player. All functionality is available in Full Mode including some features that are not available in Compact Mode. For example, in Full Mode you can use Media Guide, Media Library, Radio Tuner, Portable Device, and Skin Chooser. In Compact Mode, the player uses the selected skin and has all the functionality that the skin allows. The player also takes on the customized look of the skin which can be practically anything.


Finding media on the Internet

There are two ways to find media on the Internet using Microsoft Windows Media Player:

  • Use Media Guide to find the latest movies, music, and video on the Internet.

  • Use Radio Tuner to access Internet radio stations from around the world.

Related topics

  • Using Media Guide

  • Finding radio stations on the Internet


Using Media Guide

Media Guide contains a live Web page, hosted by WindowsMedia.com. Think of Media Guide as an electronic newspaper. It’s updated daily, with links to the latest movies, music, and video on the Internet covering a broad range of topics from international news to the latest developments in the entertainment industry. What’s best is that everything listed in Media Guide can be played using Windows Media Player.

Note You must be connected to the Internet to use Media Guide.


Finding radio stations on the Internet

Radio Tuner contains a live Web page, hosted by WindowsMedia.com. Use the links in Radio Tuner to access the feed from those stations around the world.

Note You must be connected to the Internet to use Radio Tuner.

Related topics

  • To add a radio stations to a playlist


Adding a radio station to a playlist

Not implemented yet…


Copying music or playlists to your portable device

Use Portable Device to copy audio files and playlists from your computer to your portable device or storage card. For the Beta 3 release of Microsoft Windows Millennium Edition (Windows ME), only the Casio Cassiopeia E-100 and E-105 are supported. You can also copy licensed files that you downloaded from the Internet or files that you copied from CDs to your portable device.

Tip If you are using Microsoft Windows Media Player for Pocket PC or Microsoft Windows Media Player for Palm-size PC on your portable device, you can double-click tracks in Songs on device to begin playback on your portable device.

Related topics

  • What types of media files can I copy to my portable device?

  • Copying licensed files to your portable device

  • Changing Portable Device settings

  • Portable device tab


What types of media files can I copy to my portable device?

Use Portable Device to copy or convert the following types of media files.

Format | File extension
Windows Media | .wma and .asf
Windows | .wav
Motion Picture Experts Group (MPEG) | .mp3

Caution When you copy a Windows Media file with an .asf extension to a portable device, only the audio portion of the file is transferred.


Copying licensed files to your portable device

You can copy licensed files using Portable Device in the same way you copy any other content to your portable device. When you copy a licensed file to your portable device, Microsoft Windows Media Player copies the license too.

When you copy an audio file to a portable device, you may want to compress the file so that it uses less space on your portable device. By default, the player will compress all files to a bandwidth of 128 kilobits per second (Kbps). If your file is smaller than this, it will not be compressed. You cannot use Windows Media Player to resample a file and make it sound better by selecting a larger bandwidth.

Caution To successfully transfer a licensed file, your portable device may require a hardware serial number.

The person or company that provides a licensed file decides license rights; not all files will work after you copy them to a portable device.

Related topics

  • Understanding licensed files

  • Copy music or playlists to your portable device


Changing Portable Device settings

When you copy files to your portable device, Windows Media Player uses compression technology that makes the files smaller so that they don’t use as much space on your portable device. The compression technology is called Windows Media Audio, and it creates Windows Media files with a .wma extension. These files are one of three file types that your portable device can play.

Using the Portable Device feature, you can select the amount of compression used when copying files from your computer to your portable device. Typically, the more compression you use, the smaller the file is and the poorer the listening experience. The tradeoff is that when files are smaller, you can store more music on your portable device. The following compression rates are available:

  • 32 kilobits per second (Kbps), 22 kilohertz (kHz), Stereo. This format takes up the least amount of storage space on your portable device. It is a good choice for spoken word audio files or 64-Kbps .mp3 files.

  • 64 Kbps, 44 kHz, Stereo. This format produces sound that is near CD-quality, but it also takes up less storage space on your portable device. It is a good choice for use with source files, such as 128-Kbps .mp3 and Windows Media files that have already been compressed.

  • 128 Kbps, 44 kHz, Stereo. This format produces CD-quality sound, but it takes up more storage space on your portable device. It is a good choice when you want near exact duplication of a sound track from a CD or a source .wav file.

Related topics

  • What types of media files can I copy to my portable device?

  • Portable device tab


Legal Notice

This is a preliminary document and may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Unpublished work. © 2000 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, DirectShow, FrontPage, JScript, Microsoft Press, NetShow, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual InterDev, Visual J++, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Glossary

This section defines terms used in Microsoft Windows Media Player. This section will not appear until Beta 1. The Windows Media User Education team welcomes all content suggestions.

Bandwidth

The data transfer capacity of a digital communications system, such as the Internet or a local area network (LAN). Bandwidth is usually expressed in the number of bits that a system is capable of transferring in a second: bits per second (bps). High bandwidth or broadband refers to a network capable of a fast data transfer rate.

Bit rate

The speed at which digital audio and video content streams from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network. Bit rate is usually measured in kilobits per second (Kbps), for example, 28.8 Kbps. The bit rate of a Windows Media file or live stream is determined during the encoding process, when the streaming content is created. Bandwidth is the total bit rate capacity of a network. For audio and video content to render properly when streaming over a network, the bandwidth of the network must be high enough to accommodate the bit rates of all the different content that is concurrently being streamed.

Compact Mode

Windows Media Player can appear in two modes – full or compact. Compact Mode is the smaller, reduced-functionality mode that is customizable and allows more room for using other applications. To make sure you are in Compact Mode, type ALT+2.

Full Mode

Windows Media Player can appear in two modes – full or compact. Full Mode is the fully functional mode with complete sets of toolbars. To make sure you are in Full Mode, type ALT+1.

Licensed files

A Windows Media file that has an associated license that restricts the playing of that file. The restrictions stated in the license will vary depending on the license creator. Any file created by copying a CD track using Windows Media Player is assigned a license that restricts the playing of that file to the computer where the file was created.

Multiple bit rates

A term used to identify streams that can be delivered at several speeds. Typically a stream has only one speed or bit rate. However, some streams are created so that if network traffic hinders the delivery of the stream, the stream will switch to a lower bit rate in an attempt to make the flow of information consistent. If the flow of information slows down, you’ll notice breaks in the audio and/or video or the stream will stop.

Portable device

A computing device or storage card that is not a desktop computer. Portable devices can be computing devices, such as palm-size PCs and pocket PCs, or can be storage cards, such as CompactFlash cards or micro drives. Computing devices typically connect to a computer via a COM port. Storage cards typically are used in the computing devices as additional storage.

Skin

A file that customizes the look and functionality of Windows Media Player. The player will work as the skin directs when the player is in Compact Mode.

Visualization

Visualizations are splashes of color and geometric shapes that change with the beat of the audio that is currently playing.

Windows Media file

A file, typically with an .asf or .wma extension, which contains audio, video, or script data. These files are highly optimized for streaming , yet then provide dynamic sound when downloaded and played by Windows Media Player.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.